Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class AutomationResult

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.AutomationResult

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class AutomationResult

extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

Constructor Summary
`AutomationResult()`
`AutomationResult(URI about)`

Method Summary
`void` | `addContribution(URI contribution)`
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addInputParameter(ParameterInstance parameter)`
`void` | `addOutputParameter(ParameterInstance parameter)`
`void` | `addRdfType(URI rdfType)`
`void` | `addState(URI state)`
`void` | `addSubject(String subject)`
`void` | `addVerdict(URI verdict)`
`URI[]` | `getContributions()`
`URI[]` | `getContributors()`
`Date` | `getCreated()`
`URI[]` | `getCreators()`
`URI` | `getDesiredState()`
`String` | `getIdentifier()`
`ParameterInstance[]` | `getInputParameters()`
`URI` | `getInstanceShape()`
`Date` | `getModified()`
`ParameterInstance[]` | `getOutputParameters()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getProducedByAutomationRequest()`
`protected URI` | `getRdfType()`
`URI[]` | `getRdfTypes()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnAutomationPlan()`
`URI` | `getServiceProvider()`
`URI[]` | `getStates()`
`String[]` | `getSubjects()`
`String` | `getTitle()`
`URI[]` | `getVerdicts()`
`void` | `setContributions(URI[] contributions)`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreated(Date created)`
`void` | `setCreators(URI[] creators)`
`void` | `setDesiredState(URI desiredState)`
`void` | `setIdentifier(String identifier)`
`void` | `setInputParameters(ParameterInstance[] parameters)`
`void` | `setInstanceShape(URI instanceShape)`
`void` | `setModified(Date modified)`
`void` | `setOutputParameters(ParameterInstance[] parameters)`
`void` | `setProducedByAutomationRequest(org.eclipse.lyo.oslc4j.core.model.Link producedByAutomationRequest)`
`void` | `setRdfTypes(URI[] rdfTypes)`
`void` | `setReportsOnAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnAutomationPlan)`
`void` | `setServiceProvider(URI serviceProvider)`
`void` | `setStates(URI[] states)`
`void` | `setSubjects(String[] subjects)`
`void` | `setTitle(String title)`
`void` | `setVerdicts(URI[] verdicts)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomationResult

    public AutomationResult()

### AutomationResult

    public AutomationResult(URI about)

Method Detail

### getRdfType

    protected URI getRdfType()

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRdfType

    public void addRdfType(URI rdfType)

### addSubject

    public void addSubject(String subject)

### addState

    public void addState(URI state)

### addVerdict

    public void addVerdict(URI verdict)

### addContribution

    public void addContribution(URI contribution)

### addInputParameter

    public void addInputParameter(ParameterInstance parameter)

### addOutputParameter

    public void addOutputParameter(ParameterInstance parameter)

### getContributors

    public URI[] getContributors()

### getCreated

    public Date getCreated()

### getCreators

    public URI[] getCreators()

### getIdentifier

    public String getIdentifier()

### getInstanceShape

    public URI getInstanceShape()

### getModified

    public Date getModified()

### getRdfTypes

    public URI[] getRdfTypes()

### getServiceProvider

    public URI getServiceProvider()

### getSubjects

    public String[] getSubjects()

### getTitle

    public String getTitle()

### getStates

    public URI[] getStates()

### getContributions

    public URI[] getContributions()

### getVerdicts

    public URI[] getVerdicts()

### getDesiredState

    public URI getDesiredState()

### getProducedByAutomationRequest

    public org.eclipse.lyo.oslc4j.core.model.Link getProducedByAutomationRequest()

### getReportsOnAutomationPlan

    public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnAutomationPlan()

### getInputParameters

    public ParameterInstance[] getInputParameters()

### getOutputParameters

    public ParameterInstance[] getOutputParameters()

### setContributors

    public void setContributors(URI[] contributors)

### setCreated

    public void setCreated(Date created)

### setCreators

    public void setCreators(URI[] creators)

### setIdentifier

    public void setIdentifier(String identifier)

### setInstanceShape

    public void setInstanceShape(URI instanceShape)

### setModified

    public void setModified(Date modified)

### setRdfTypes

    public void setRdfTypes(URI[] rdfTypes)

### setServiceProvider

    public void setServiceProvider(URI serviceProvider)

### setSubjects

    public void setSubjects(String[] subjects)

### setTitle

    public void setTitle(String title)

### setStates

    public void setStates(URI[] states)

### setVerdicts

    public void setVerdicts(URI[] verdicts)

### setContributions

    public void setContributions(URI[] contributions)

### setDesiredState

    public void setDesiredState(URI desiredState)

### setProducedByAutomationRequest

    public void setProducedByAutomationRequest(org.eclipse.lyo.oslc4j.core.model.Link producedByAutomationRequest)

### setReportsOnAutomationPlan

    public void setReportsOnAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnAutomationPlan)

### setInputParameters

    public void setInputParameters(ParameterInstance[] parameters)

### setOutputParameters

    public void setOutputParameters(ParameterInstance[] parameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.